#
# spec file for package yast2-inetd (Version 2.9.12)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  perl-gettext yast2-devel-packages yast2-pam yast2-perl-bindings yast2-security yast2-users

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext  rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-pam yast2-perl-bindings yast2-security yast2-testsuite yast2-users suse-macros

Name:         yast2-inetd
Version:      2.9.12
Release:      21.1
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-inetd-2.9.12.tar.bz2
prefix:		/usr
Requires:     yast2
Requires:     yast2-packager yast2-users
Provides:     yast2-config-inet y2c_inet
Obsoletes:    yast2-config-inet y2c_inet
Provides:     yast2-trans-inet y2t_inet
Obsoletes:    yast2-trans-inet y2t_inet
BuildArchitectures:	noarch
Summary:      YaST2 - Network Services Configuration

%description
The YaST2 component for configuring the inetd and xinetd daemons.



Authors:
--------
    Michael Hager <mike@suse.de>
    Martin Vidner <mvidner@suse.cz>
    Petr Hadraba <phadraba@suse.cz>

%prep
%setup -n yast2-inetd-2.9.12

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/inetd
/usr/share/YaST2/include/inetd/*
/usr/share/YaST2/clients/inetd*.ycp
/usr/share/YaST2/modules/Inetd.ycp
/usr/share/YaST2/modules/Inetd.ybc
%{prefix}/share/applications/YaST2/inetd.desktop
/usr/share/YaST2/scrconf/etc_inetd.scr
/usr/share/YaST2/scrconf/etc_xinetd.scr
/usr/lib/YaST2/servers_non_y2/ag_netd
/usr/share/YaST2/data/default_conf_inetd.ycp
/usr/share/YaST2/data/default_conf_xinetd.ycp
%doc %{prefix}/share/doc/packages/yast2-inetd

%changelog -n yast2-inetd
* Mon Mar 12 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.12
* Wed Mar 31 2004 - mvidner@suse.cz
- autoyast - check arguments
- updated the installable packages list (vnc)
- 2.9.11
* Wed Mar 24 2004 - mvidner@suse.cz
- alert the user if he is not root (#35363)
- Runlevel -> Service
- 2.9.10
* Thu Mar 18 2004 - mvidner@suse.cz
- added autoyast compatibility for SL8.1/SLES8 (#28067)
* Fri Mar 12 2004 - mvidner@suse.cz
- updated the installable packages list
- added wizard icons (jhumpol)
- using Sequencer
- re-enabled testsuite
- 2.9.9
* Wed Mar 10 2004 - mvidner@suse.cz
- disabled testsuite because of Wizard problems
- 2.9.8
* Wed Mar 10 2004 - nashif@suse.de
- adapted for new wizard
* Sun Mar 07 2004 - kkaempf@suse.de
- adapt testsuite
* Fri Mar 05 2004 - mvidner@suse.cz
- added type information
- 2.9.4
* Tue Feb 10 2004 - lslezak@suse.cz
- removed *.y2cc files
- agent testsuite fix (mvidner)
- version 2.9.3
* Mon Feb 09 2004 - lslezak@suse.cz
- testsuite: NI fixes, enabled agent testing
- Inetd.ycp - removed empty statement
- version 2.9.2
* Fri Feb 06 2004 - lslezak@suse.cz
- NI fixes (data types, globals)
- build fixes (ycp hook, pack ybc file, needed packages)
- testsuite update (NI fixes, agent testing disabled)
- version 2.9.1
* Fri Oct 31 2003 - mvidner@suse.cz
- Fixed retrieving the lists of users and groups (#32783).
- Handling the window close button properly.
- 2.9.0
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Tue Sep 09 2003 - nashif@suse.de
- #30291: Added function Packages to auto client to return
  list of required packages
* Wed Aug 27 2003 - lslezak@suse.de
- use users module for reading users/groups
- version 2.8.6
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.5
* Mon Aug 18 2003 - lslezak@suse.cz
- 'Finish' button label at the main dialog
- version 2.8.4
* Mon Aug 11 2003 - lslezak@suse.de
- merged proofread texts
- version 2.8.3
* Mon Aug 04 2003 - mvidner@suse.cz
- Updated the installable packages list.
- Added desktop file (supersedes y2cc file).
- 2.8.2
* Tue Jul 22 2003 - mvidner@suse.cz
- Autoinstalation:
  * improved service matching
  * export only changed fields from the UI
- Can enable/disable all services at once (phadraba).
- When a package is installed, the used button does not have
  to be pressed again.
- If we have an includedir (for xinetd we do), create new services
  in their own files there (#26999).
- Using Label and Popup.
- 2.8.1
* Fri Mar 14 2003 - mvidner@suse.de
- Autoinstallation fixes (phadraba, #25317).
  * server path
  * multiple services in a package
  * editing an added service
- 2.7.10
* Tue Mar 11 2003 - mvidner@suse.de
- Updated the installable packages list, final for 8.2 (#24671-24693).
- 2.7.9
* Mon Mar 03 2003 - mvidner@suse.de
- Texts from final proofreading.
- Updated the installable packages list.
- 2.7.8
* Thu Feb 27 2003 - mvidner@suse.de
- Fix skipping consecutive modified services when writing (#24379).
- 2.7.7
* Wed Feb 26 2003 - mvidner@suse.de
- includedir was lost after adding and removing a xinetd service (#24270).
- Updated the installable packages list.
- 2.7.6
* Mon Feb 24 2003 - mvidner@suse.de
- updated installable packages list
- autoinstallation: (phadraba)
  * now uses Require.ycp
  * service package dialog - updated text
  * now exports only changed services
- screenshots for documentation are now smaller (phadraba)
- 2.7.5
* Mon Feb 17 2003 - mvidner@suse.de
- Autoinstallation fixes (phadraba).
- Changed _auto::Result to Export (nashif).
- 2.7.4
* Mon Feb 10 2003 - jsuchome@suse.de
- Merged proofread texts (3rd round).
* Fri Feb 07 2003 - jsrain@suse.de
- Merged texts from 2nd proofreading
* Tue Feb 04 2003 - mvidner@suse.de
- Fixed re-reading the files (don't keep the old services).
* Mon Feb 03 2003 - mvidner@suse.de
- Merged proofread texts.
- 2.7.3
* Thu Jan 16 2003 - mvidner@suse.de
- Fixed disabling a xinetd service.
- The agent can now re-read the files (eg. when a new one is installed).
- Disregard line numbers in the agent testsuite.
* Fri Jan 10 2003 - mvidner@suse.de
- Prevent agent from returning strings as integers/booleans (~#21804).
* Wed Jan 08 2003 - phadraba@suse.de
- Autoinstallation of inetd/xinetd is implemented
* Thu Dec 19 2002 - phadraba@suse.de
- Updated source code to default YaST2 module skeleton
- New UI uses new SCR
- Module handles inetd and xinetd configuration
- SCR by mvidner, UI by phadraba
* Tue Dec 10 2002 - mvidner@suse.de
- Extended to work with xinetd apart from inetd
- UI by phadraba, SCR by mvidner
- 2.7.0
* Mon Oct 07 2002 - mvidner@suse.cz
- The temporary file is created in /var/lib/YaST2, not /tmp (#16420).
- In autoyast mode, services can be only enabled and disabled
  so the Create, Edit and Delete buttons are disabled (#20524).
- 2.6.8
* Tue Sep 10 2002 - msvec@suse.cz
- provide/obsolete old translation package
- 2.6.7
* Sat Sep 07 2002 - nashif@suse.de
- enable service network also
- dont try to remove inetd.conf if it's not there..
* Mon Sep 02 2002 - nashif@suse.de
- use Directory module for bin files
- Activate service in WriteOnly mode
- 2.6.5
* Fri Aug 30 2002 - mike@suse.de
- bugfixes  15501 16420 16132 18266
- network service editor misses lines from inetd.conf,
- does not work,
- create does not work
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Thu Aug 15 2002 - jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - msvec@suse.cz
- added minimal testsuite
- renamed to yast2-inetd
- 2.6.1
* Mon Feb 11 2002 - nashif@suse.de
- updates for autoinstall
* Mon Jan 28 2002 - nashif@suse.de
- Added WriteOnly: Write without starting any services
- adapted _write
- 2.5.2
* Tue Jan 22 2002 - nashif@suse.de
- use Wizard, Sequencer
- USe skeleton
- Added _write, _auto for autoinstallation
* Mon Jan 21 2002 - nashif@suse.de
- migration to devtools
- use standard copyright files
- removed old menu entry
- added testsuite
- fixed syntax (select and lookup)
* Thu Sep 06 2001 - jbuch@suse.de
- Read -> SCR::Read(..)
* Mon Apr 30 2001 - jbuch@suse.de
- fixed bug with return nil to list | void
* Tue Apr 24 2001 - jbuch@suse.de
- define -> global define
* Tue Apr 17 2001 - kkaempf@suse.de
- name change to "yast2-config-inet"
  package as .bz2
* Thu Jan 18 2001 - mike@suse.de
- fix: now translates properly
* Wed Dec 13 2000 - mike@suse.de
- new menuentry
* Sat Jul 15 2000 - kkaempf@suse.de
- typo fixed
  version 1.0.5
* Fri Jul 14 2000 - gs@suse.de
- deleting file in tmp
* Thu Jul 13 2000 - mike@suse.de
- fix in specfile: perlscript now included
* Tue Jul 11 2000 - mike@suse.de
- fix: read inetd.conf now with perl
* Thu Jun 29 2000 - gs@suse.de
- fixes in comments
* Thu Jun 29 2000 - kkaempf@suse.de
- requires y2t_inet
* Tue Jun 27 2000 - gs@suse.de
- bugfix writing /etc/rc.config
* Mon Jun 26 2000 - kkaempf@suse.de
- initial version
